Turn an evaluation into a coaching draft with the clip (human-initiated)
POST
/v1/workspace/quality/evaluations/{evaluation_id}/coaching
const url = 'https://api.vocapable.com/v1/workspace/quality/evaluations/example/coaching';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"body":"example","clip_start_ms":1,"clip_end_ms":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vocapable.com/v1/workspace/quality/evaluations/example/coaching \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "body": "example", "clip_start_ms": 1, "clip_end_ms": 1 }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”evaluation_id
required
Evaluation Id
string
Header Parameters
Section titled “Header Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
QualityCoachingCreate
A person turns a low score into a coaching item with the clip attached (CC5-R5: human-initiated, never automatic).
object
Examplegenerated
{ "body": "example", "clip_start_ms": 1, "clip_end_ms": 1}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
QualityCoachingCreated
object
coaching_item_id
required
Coaching Item Id
string
evaluation_id
required
Evaluation Id
string
Examplegenerated
{ "coaching_item_id": "example", "evaluation_id": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}